Last modified: 2014-09-01 15:35:55 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 44387 - Vector: Add styles to improve experience on low-resolution devices
Vector: Add styles to improve experience on low-resolution devices
Status: NEW
Product: MediaWiki skins
Classification: Unclassified
Vector (Other open bugs)
unspecified
All All
: Normal normal
: ---
Assigned To: Nobody - You can work on this!
: accessibility, design
Depends on:
Blocks: 44386 44881
  Show dependency treegraph
 
Reported: 2013-01-26 16:35 UTC by Bartosz Dziewoński
Modified: 2014-09-01 15:35 UTC (History)
16 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Bartosz Dziewoński 2013-01-26 16:35:21 UTC
My idea is to show the navigation menu below content instead of to the side of it. But first there are a couple other issues to be fixed, see parent bug 44386.

Gerrit change: I13e4ea56
Comment 1 Andre Klapper 2013-01-28 15:17:55 UTC
[Mentioning the bug number in the Gerrit commit message is probably welcome.]
Comment 2 Bartosz Dziewoński 2013-01-28 18:22:26 UTC
Yes, of course I'll mention it. That patchset is currently on hold until issues from parent bug are sorted out.
Comment 3 Bartosz Dziewoński 2013-03-27 19:39:18 UTC
(Abandoned my patch for now. It's dreadfully incomplete, slightly outdated and can at best serve as a baseline for further work, for which I don't have time right now and I don't want to cookie-lick.)

I submitted this as a possible GSOC project: https://www.mediawiki.org/wiki/Mentorship_programs/Possible_projects#Add_low-resolution_styles_for_Vector
Comment 4 Quim Gil 2013-10-30 20:22:08 UTC
(In reply to comment #3)
> I submitted this as a possible GSOC project:
> https://www.mediawiki.org/wiki/Mentorship_programs/Possible_projects#Add_low-
> resolution_styles_for_Vector

Are you interested in proposing it as an Outreach Program for Women proposal? If so, please move it to the "Featured projects" section. This way it will be automatically transcluded in https://www.mediawiki.org/wiki/Outreach_Program_for_Women/Round_7

Thank you!
Comment 5 Bartosz Dziewoński 2013-10-30 20:45:32 UTC
I could probably mentor it (assuming my other duties leave me enough time for this), but people from WMF's design team would probably like to have a say in whatever people come up with as a solution here, and some of them are vehement about their design-related opinions :)

If I get a designer to vet whatever comes up, as it comes up – essentially to
co-mentor – or if I am given a free hand in deciding myself and a promise that no one will shout at me too much with regards to the results, then sign me up. Otherwise this probably can't be done.
Comment 6 Quim Gil 2013-10-30 20:52:12 UTC
CCing Jared from the WMF UX Design team. Jared, please see below.
Comment 7 Jared Zimmerman (WMF) 2013-10-30 21:03:58 UTC
This sounds like the work Jon Robson is doing, extending MobileFrontend to tablet formfactors.
Comment 8 Bartosz Dziewoński 2013-10-30 21:05:22 UTC
This has absolutely no relation to MobileFrontend in any way. So, no.
Comment 9 Jared Zimmerman (WMF) 2013-10-30 21:08:17 UTC
Let me clarify, The direction I'd propose is to move up from mobile skin, not down from vector.
Comment 10 Jon 2013-10-30 21:19:09 UTC
When designing the mobile skin we are thinking a lot about a mobile first design that scales to desktop and provides all the functionality of desktop. I'm hoping at some point Vector and the mobile skin (aka Minerva) will converge into some kind of Minervavector.

I'm also hoping mediawiki ui will help a lot in this process but I think it's a big goal (Any help most welcomed)!
Comment 11 Bartosz Dziewoński 2013-10-30 21:24:33 UTC
(In reply to comment #9)
> Let me clarify, The direction I'd propose is to move up from mobile skin, not
> down from vector.

MobileFrontend is not a mobile skin. Hell, it's not a skin at all when it damn right ought to have been from the very beginning. It's not included in core MediaWiki and it's not bundled, so it's not installed on almost all third-party wikis. Improving the core skin seems worthwhile to me.


(In reply to comment #10)
> When designing the mobile skin we are thinking a lot about a mobile first
> design that scales to desktop and provides all the functionality of desktop.
> I'm hoping at some point Vector and the mobile skin (aka Minerva) will
> converge into some kind of Minervavector.

But you currently don't provide the full functionality, making MobileFrontend insufficient for some heavy editing work. I am too hoping this will change in the future, but the status quo is that MobileFrontend is not fully-featured.


> I'm also hoping mediawiki ui will help a lot in this process but I think
> it's a big goal (Any help most welcomed)!

This has absolutely no relation to mediawiki.ui, either. 


Anyway, Quim, it looks like the WMF support necessary to make this an OPW project is not there :(
Comment 12 Jon 2013-10-30 21:32:00 UTC
(In reply to comment #11)
> (In reply to comment #9)
> > Let me clarify, The direction I'd propose is to move up from mobile skin, not
> > down from vector.
> 
> MobileFrontend is not a mobile skin. Hell, it's not a skin at all when it
> damn
> right ought to have been from the very beginning. 

Technically it's secret is it /is/ a skin. it's just not a /registered/ skin. There however are various things that need to be resolved before mobile code can be upstreamed to core but that /is/ the goal from my point of view.

The magic you need is:
$wgValidSkinNames['minerva'] = "Minerva";

It's not included in core
> MediaWiki and it's not bundled, so it's not installed on almost all
> third-party
> wikis. Improving the core skin seems worthwhile to me.

Correct but I think what Jared is getting at is we should be upstreaming stuff from mobile into core. Now we have LESS in core this is very much possible. You can import from the global namespace, so mobile can inherit from styles in core.

> But you currently don't provide the full functionality, making MobileFrontend
> insufficient for some heavy editing work. I am too hoping this will change in
> the future, but the status quo is that MobileFrontend is not fully-featured.

Yes but we have full control to change this. Things that are not surfaced in the mobile view could be surfaced in the desktop view :-)

> 
> > I'm also hoping mediawiki ui will help a lot in this process but I think
> > it's a big goal (Any help most welcomed)!
> 
> This has absolutely no relation to mediawiki.ui, either. 

How so? I would like the desktop skin and mobile skin to use consistent fonts, icons and button styling. MediaWiki UI will achieve this.
Comment 13 Bartosz Dziewoński 2013-10-30 23:04:39 UTC
(In reply to comment #12)
> > > I'm also hoping mediawiki ui will help a lot in this process but I think
> > > it's a big goal (Any help most welcomed)!
> > 
> > This has absolutely no relation to mediawiki.ui, either. 
> 
> How so?

Because this bug is about, to quote its summary, adding low-resolution styles for Vector. Out of these mediawiki.ui is only related to 'styles'.
Comment 14 vladjohn2013 2013-12-01 15:40:55 UTC
Hi, this project is still listed at  https:https://www.mediawiki.org/wiki/Mentorship_programs/Possible_projects#Add_low-resolution_styles_for_Vector 

Should this project be still listed in that page? If not, please remove it. If it still makes sense, then it could be moved to the "Featured projects" section if it has community support and mentors.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links